Skip to navigation

List containers

List containers

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional<=100Defaults to 50
Number of results to return.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt

Method by which to order search results. Valid sorts are barcode, name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.

schemaIdstringOptional
ID of a schema. Restricts results to those of the specified schema.
schemaFieldsmap from strings to anyOptional

Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.

createdAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Name of a container. Restricts results to those with the specified name.
nameIncludesstringOptional
Name substring of a container. Restricts results to those with names that include the provided substring.
ancestorStorageIdstringOptional
ID of a plate, box, or location. Restricts results to those located in the specified inventory.
storageContentsIdstringOptional
ID of an entity or entity schema. Restricts results to those that contain the specified entities or entities of the specified schema.
storageContentsIdsstringOptional

Comma-separated list of IDs of entities. Restricts results to those that hold containers with at least one of the specified entities.

archiveReasonstringOptional

Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived containers. Use “ANY_ARCHIVED” to filter for archived containers regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

checkoutStatusenumOptional

Comma-separated list of check-out statuses. Restricts results to those that match one of the specified statuses. Valid statuses are AVAILABLE, RESERVED, and CHECKED_OUT.

Allowed values:
checkoutAssigneeIds.anyOfstringOptional

Comma-separated list of user or team IDs. Maximum of 100. Restricts results to those that are reserved or checked out for a user or team who matches any of the specified IDs or returns a 400 error with a list of invalid IDs.

restrictionStatusenumOptional

Comma-separated list of restriction statuses. Restricts results to those that match one of the specified statuses. Valid statuses are RESTRICTED, UNRESTRICTED, and NOT_APPLICABLE.

Allowed values:
sampleOwnerIds.allOfstringOptional

Comma-separated list of user or team IDs. Restricts results to those that match all of the specified IDs or returns a 400 error with a list of invalid IDs.

sampleOwnerIds.anyOfstringOptional

Comma-separated list of user or team IDs. Maximum of 100. Restricts results to those that match any of the specified IDs or returns a 400 error with a list of invalid IDs.

sampleOwnerIds.noneOfstringOptional

Comma-separated list of user or team IDs. Restricts results to those that do not match any of the specified IDs or returns a 400 error with a list of invalid IDs.

restrictedSamplePartyIds.allOfstringOptional

Comma-separated list of user, team, or app IDs. Restricts results to those that match all of the specified IDs or returns a 400 error with a list of invalid IDs.

restrictedSamplePartyIds.anyOfstringOptional

Comma-separated list of user, team, or app IDs. Maximum of 100. Restricts results to those that match any of the specified IDs or returns a 400 error with a list of invalid IDs.

restrictedSamplePartyIds.noneOfstringOptional

Comma-separated list of user, team, or app IDs. Restricts results to those that do not match any of the specified IDs or returns a 400 error with a list of invalid IDs.

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

barcodesstringOptional

Comma-separated list of barcodes. Matches all of the provided barcodes, or returns a 400 error that includes a list of which barcodes are invalid.

names.anyOfstringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.

names.anyOf.caseSensitivestringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.

creatorIdsstringOptional
Comma separated list of users IDs
returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Response

OK
containerslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error